Skip to main content
GET
Get Document Handler

Headers

authorization
string | null

Path Parameters

document_id
string<uuid>
required

Query Parameters

with_tags
boolean
default:false

Include tags in the response (default: false)

Cookies

ks_uat
string | null

Response

Successful Response

Document response model.

part_type
enum<string>
required

Path part type

Available options:
DOCUMENT
id
string<uuid>
required

Document ID

path_part_id
string<uuid>
required

PathPart ID

name
string
required

Document name

parent_path_part_id
string<uuid> | null
required

Parent PathPart ID

document_type
enum<string>
required

Type of document

Available options:
PDF,
DOCX,
PLAINTEXT,
IMAGE,
XLSX,
CSV,
PPTX,
UNKNOWN
document_origin
enum<string>
required

Origin of document

Available options:
SOURCE,
GENERATED
active_version_id
string<uuid>
required

Active version ID

active_version
DocumentVersionResponse · object
required

Active version details

materialized_path
string
required

Full materialized path from root

system_managed
boolean
required

Whether this document is system-managed

tenant_id
string<uuid>
required

Tenant ID

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

tags
TagResponse · object[] | null

Tags attached to this document